## CongAttributeEditorLang

CongAttributeEditorLang —

## Synopsis

    struct      CongAttributeEditorLangDetails;
    #define     CONG_ATTRIBUTE_EDITOR_LANG      (obj)
    #define     CONG_ATTRIBUTE_EDITOR_LANG_CLASS(klass)
    #define     IS_CONG_ATTRIBUTE_EDITOR_LANG   (obj)
    GType       cong_attribute_editor_lang_get_type
                                                (void);
    CongAttributeEditor* cong_attribute_editor_lang_construct
                                                (CongAttributeEditorLang *attribute_editor_lang,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr);
    GtkWidget*  cong_attribute_editor_lang_new  (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr);

## Description

## Details

### struct CongAttributeEditorLangDetails

    struct CongAttributeEditorLangDetails;

### CONG_ATTRIBUTE_EDITOR_LANG()

    #define CONG_ATTRIBUTE_EDITOR_LANG(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_ATTRIBUTE_EDITOR_LANG_TYPE, CongAttributeEditorLang)

`obj` : |

### CONG_ATTRIBUTE_EDITOR_LANG_CLASS()

    #define CONG_ATTRIBUTE_EDITOR_LANG_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_ATTRIBUTE_EDITOR_LANG_TYPE, CongAttributeEditorLangClass)

`klass` : |

### IS_CONG_ATTRIBUTE_EDITOR_LANG()

    #define IS_CONG_ATTRIBUTE_EDITOR_LANG(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_ATTRIBUTE_EDITOR_LANG_TYPE)

`obj` : |

### cong_attribute_editor_lang_get_type ()

    GType       cong_attribute_editor_lang_get_type
                                                (void);

Returns : |

### cong_attribute_editor_lang_construct ()

    CongAttributeEditor* cong_attribute_editor_lang_construct
                                                (CongAttributeEditorLang *attribute_editor_lang,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr);

TODO: Write me

`attribute_editor_lang` : |
`doc` : |
`node` : |
`ns_ptr` : |
Returns : |

### cong_attribute_editor_lang_new ()

    GtkWidget*  cong_attribute_editor_lang_new  (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr);

TODO: Creates editor of language-based attribute

`doc` : | Valid document
`node` : | Cong Node of attribute
`ns_ptr` : | Pointer to xml namespace
Returns : |